## org.eclipse.datatools.sqltools.data.internal.core
Class DataCorePlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.sqltools.data.internal.core.DataCorePlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class DataCorePlugin

extends org.eclipse.core.runtime.Plugin

The main plugin class to be used in the desktop.

Field Summary
`static java.lang.String` `ID`
`static int` `Types_SQLXML`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`DataCorePlugin()` The constructor.

Method Summary
`static java.lang.String` `doubleStringDelim(java.lang.String s, java.lang.String delim)`
`static DataCorePlugin` `getDefault()` Returns the shared instance.
`static java.lang.String` `getQualifiedTableName(Table table)`
`static java.lang.String` `getQualifiedUDTName(UserDefinedType udt)`
`java.util.ResourceBundle` `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`IColumnDataAccessor` `newColumnDataAccessor(Column sqlCol)`
`static java.lang.String` `quoteIdentifier(java.sql.Connection conn, java.lang.String s)` Gets the identifier and add quote string if neccessary Note: This is a work around solution for quoteIdentifier(Database, String) because the databaseDefinition.getIdentifierQuoteString() does not return the correct identifier quote string.
`static java.lang.String` `quoteIdentifier(Database db, java.lang.String s)`
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped
`void` `writeLog(int severity, int code, java.lang.String message, java.lang.Throwable exception)` Method writeLog.

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Types_SQLXML

    public static final int Types_SQLXML

See Also:
  Constant Field Values

Constructor Detail

### DataCorePlugin

    public DataCorePlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static DataCorePlugin getDefault()

  Returns the shared instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### writeLog

    public void writeLog(int severity,
                         int code,
                         java.lang.String message,
                         java.lang.Throwable exception)

  Method writeLog.

  Parameters:
    `severity` - - the severity; one of IStatus.OK, IStatus.ERROR, IStatus.INFO, or IStatus.WARNING
    `code` - - the plug-in-specific status code, or OK
    `message` - - a human-readable message, localized to the current locale
    `exception-` - a low-level exception, or null if not applicable

### getQualifiedTableName

    public static java.lang.String getQualifiedTableName(Table table)

### getQualifiedUDTName

    public static java.lang.String getQualifiedUDTName(UserDefinedType udt)

### quoteIdentifier

    public static java.lang.String quoteIdentifier(Database db,
                                                   java.lang.String s)

### quoteIdentifier

    public static java.lang.String quoteIdentifier(java.sql.Connection conn,
                                                   java.lang.String s)

  Gets the identifier and add quote string if neccessary Note: This is a work around solution for quoteIdentifier(Database, String) because the databaseDefinition.getIdentifierQuoteString() does not return the correct identifier quote string.

  Parameters:
    `conn` - the JDBC connection
    `s` - the string to append any identifier quotes
  Returns:
    the quoted identifier

### doubleStringDelim

    public static java.lang.String doubleStringDelim(java.lang.String s,
                                                     java.lang.String delim)

### newColumnDataAccessor

    public IColumnDataAccessor newColumnDataAccessor(Column sqlCol)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`